# vim: set sw=4 ts=4 et:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:           hungrycat
Version:        0.3
Release:        1.1
Summary:        Cat and rm in a single Tool
Source:         http://jwilk.net/pool/hungrycat-%{version}.tar.gz
Patch1:         hungrycat-optflags.patch
URL:            http://jwilk.net/software/hungrycat.html
Group:          System/Base
License:        GNU General Public License version 2 (GPL v2)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  gcc make glibc-devel python python-nose

%description
hungrycat is a tool that prints the contents of a file on the standard output
while simultaneously freeing disk space occupied by the file. It can be useful
if you need to process a large file, but you don't have enough space to store
the output file, and you won't need the input file afterward.

%prep
%setup -q
%patch1

%build
%configure
%__make \
    %{?_smp_mflags} \
    CC="%__cc" \
    OPTFLAGS="%{optflags}"

%install
%__install -D -m0755 hungrycat "%{buildroot}%{_bindir}/hungrycat"

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc doc/README doc/changelog
%{_bindir}/hungrycat

%changelog
* Fri Mar 30 2012 pascal.bleser@opensuse.org
- update to 0.3:
  * improve error handling
  * add option for using fallocate() with FALLOC_FL_PUNCH_HOLE
  * fix wrong output when input file was not larger than (2 × buffer size)
* Sat Nov 13 2010 pascal.bleser@opensuse.org
- update to 0.2:
  * error handling was improved
* Fri Dec  4 2009 pascal.bleser@opensuse.org
- initial version
